Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## timetable.data
Interface ActivityDependenceInterface

All Known Implementing Classes:
  AbstractActivityDependence

public interface ActivityDependenceInterface

Třída poskytující základní rozhraní, které musí každá závislost mezi aktivitami splňovat.
Abychom mohli vyjádřit například, že jedna aktivita musí být před druhou, je nutné určit pořadí aktivit. Proto má rozhraní dvěmetody pro nastavení aktivity, tj. nastavení první a druhé z nich.

Method Summary
`Activity` | `getAnotherActivity(Activity a)` Metoda vracející druhou z aktivit.
`java.lang.String` | `getDependenceName()` Vrátí jméno závislosti - pro vizualizaci.
`Activity` | `getFirstActivity()` Zjištění první aktivity závislosti
`Activity` | `getSecondActivity()` Zjištění druhé aktivity závislosti
`int` | `getType()` Zjištění typu podmínky
`java.lang.String[]` | `getTypes()` Vrátí pole jmen jednotlivých typů podmínky - pro vizualizaci !
`boolean` | `isOK()` Zjištění splění závislosti
`boolean` | `isOK(Activity a, int start)` Zjištění splění závislosti, pokud bude mít jedna z aktivit změněn počáteční čas.
`boolean` | `isOK(int activityStart1, int activityStart2)` Zjištění splnění podmínky
`boolean` | `participate(Activity a)` Zjistí, zda-li se nějaká aktivita účastní podmínky.
`ActivityDependenceInterface` | `read(java.io.ObjectInputStream in, ActivityGroup allActivities)` Načte objekt ze streamu
`void` | `setFirstActivity(Activity a)` Nastavení první aktivity závislosti.
`void` | `setSecondActivity(Activity b)` Nastavení druhé aktivity závislosti
`void` | `setType(int i)` nastavení typu podmínky.
`void` | `write(java.io.ObjectOutputStream out, ActivityGroup allActivites)` Zapíše objekt do streamu

Method Detail

### setFirstActivity

    public void setFirstActivity(Activity a)

  Nastavení první aktivity závislosti.
  Parameters:
    `a` - aktivita

### setSecondActivity

    public void setSecondActivity(Activity b)

  Nastavení druhé aktivity závislosti
  Parameters:
    `b` - aktivita

### getFirstActivity

    public Activity getFirstActivity()

  Zjištění první aktivity závislosti
  Returns:
    první aktivita závislosti

### getSecondActivity

    public Activity getSecondActivity()

  Zjištění druhé aktivity závislosti
  Returns:
    druhá aktivia závislosti

### isOK

    public boolean isOK()

  Zjištění splění závislosti
  Returns:
    true, pokud je závislost splněna

### isOK

    public boolean isOK(Activity a,
                        int start)

  Zjištění splění závislosti, pokud bude mít jedna z aktivit změněn počáteční čas.
  Parameters:
    `a` - aktivita (první nebo druhá)
    `start` - začátek aktivity a
  Returns:
    true, pokud bude podmínka splěna

### isOK

    public boolean isOK(int activityStart1,
                        int activityStart2)

  Zjištění splnění podmínky
  Parameters:
    `activityStart1` - začátek první aktivity
    `activityStart2` - začátek druhé aktivity
  Returns:
    true, pokud bude podmínka splěna

### setType

    public void setType(int i)

  nastavení typu podmínky. Tímto lze umožnit implementaci více podmínek jednou třídou.
  Parameters:
    `i` - typ podmínky

### getType

    public int getType()

  Zjištění typu podmínky
  Returns:
    typ podmínky

### getAnotherActivity

    public Activity getAnotherActivity(Activity a)

  Metoda vracející druhou z aktivit.
  Parameters:
    `a` - jedna z aktivit
  Returns:
    druhá z aktivit

### getTypes

    public java.lang.String[] getTypes()

  Vrátí pole jmen jednotlivých typů podmínky - pro vizualizaci !
  Returns:
    pole jmen typů

### getDependenceName

    public java.lang.String getDependenceName()

  Vrátí jméno závislosti - pro vizualizaci. Např: časová závislots
  Returns:
    jméno závislosti

### participate

    public boolean participate(Activity a)

  Zjistí, zda-li se nějaká aktivita účastní podmínky.
  Parameters:
    `a` - aktivita
  Returns:
    true, pokud se aktivita a účastní podmínky

### write

    public void write(java.io.ObjectOutputStream out,
                      ActivityGroup allActivites)
               throws java.io.IOException

  Zapíše objekt do streamu
  Parameters:
    `out` - stream
    `allActivities` - množina všech aktivit

### read

    public ActivityDependenceInterface read(java.io.ObjectInputStream in,
                                            ActivityGroup allActivities)
                                     throws java.io.IOException,
                                            java.lang.ClassNotFoundException

  Načte objekt ze streamu
  Parameters:
    `in` - stream
    `allActivities` - množina všech aktivit
  Returns:
    načtený objekt

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD